MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
TagStream.hxx File Reference
`#include "check.h"`
Include dependency graph for TagStream.hxx:

Go to the source code of this file.

## Functions
bool | tag_stream_scan (InputStream &is, const TagHandler &handler, void *ctx)
| Scan the tags of an InputStream. More...
bool | tag_stream_scan (const char *uri, const TagHandler &handler, void *ctx)
bool | tag_stream_scan (InputStream &is, TagBuilder &builder)
| Scan the tags of an InputStream. More...
bool | tag_stream_scan (const char *uri, TagBuilder &builder)

## Function Documentation

bool tag_stream_scan | ( | InputStream & | is,
|  | const TagHandler & | handler,
|  | void * | ctx
| ) |  |

Scan the tags of an InputStream.

Invokes matching decoder plugins, but does not invoke the special "APE" and "ID3" scanners.

Returns
  true if the file was recognized (even if no metadata was found)

bool tag_stream_scan | ( | const char * | uri,
|  | const TagHandler & | handler,
|  | void * | ctx
| ) |  |

bool tag_stream_scan | ( | InputStream & | is,
|  | TagBuilder & | builder
| ) |  |

Scan the tags of an InputStream.

Invokes matching decoder plugins, and falls back to generic scanners (APE and ID3) if no tags were found (but the file was recognized).

Returns
  true if the file was recognized (even if no metadata was found)

bool tag_stream_scan | ( | const char * | uri,
|  | TagBuilder & | builder
| ) |  |